﻿/*www.smartstuffltd.com Copyright ©2021 SmartStuff Limited*/
/* Author Tristan Wogan webmaster@smartstuffltd.com*/
/*Master  CSS*/
body {
    font-family: Arial;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
    font-size: 1em;
    background-color: #EAEDED;
}

/*Smooth scroll for back to top*/
html {
    scroll-behavior: smooth;
}

/*Set for all boxes*/
* {
    box-sizing: border-box;
}

/*#region Buttons*/
.ButtonAddToBasket {
    width: 75%;
    height: 3em;
    background-color: #3C6958;
    color: #ffffff;
    cursor: pointer;
}
.ButtonBack {
    height: 3em;
    background-color: #3B0016;
    color: #ffffff;
    cursor: pointer;
}

.ButtonSearch {
    background-color: #EAEDED;
    color: #000000;
    padding-left: 10px;
    padding-right: 10px;
    border-width: 1px;
    cursor: pointer;
}


/*#endregion Buttons*/

/*#region Master Page */
/*#region Header*/
.MainHeader {
    max-width: 100%;
    min-height: 70px;
    font-size: 30px;
    margin: -5px 0px 0px 0px;
    background: #003b25;
    padding: 20px;
}

.HeaderLogo {
    float: left;
    font-size: 30px;
    color: #ffffff;
}

.HeaderBasket {
    float: right;
    display: flex;
    width: 1.2em;
    height: 1.2em;
    background-image: url(/Images/Standard/ShoppingBasket.png);
    background-size: 1.2em;
    background-repeat: no-repeat;
    justify-content: center;
    color: white;
    padding-right: 0.17em;
}
.HeaderBasketCount {
    font-size: 0.6em;
}
.BasketImage {
    width: 100%;
}

.SearchWrapper {
    float: right;
    width: 70%;
    line-height: 22px;
    font-weight: normal;
}
.SeachTextBox {
    width: 60%;
    background-color: #EAEDED;
    border-width: 1px;
}

/*#endregion Header*/

/*#region Start Menu*/
.sidenav {
    height: 100vh;
    height: 100%;
    width: 0;
    max-width: 270px;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #ffffff;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
    padding-top: 100px;
    padding-top: 0px;
}

.MenuHeader {
    width: 100%;
    height: 100px;
    background-color: #003b25;
}

.MenuTransistionBar {
    float: left;
    width: 100%;
    height: 3px;
    background-color: #BECDC7;
}

.MenuTitleText {
    position: absolute;
    top: 40px;
    padding-left: 25px;
    color: #ffffff;
    font-size: 1.2em;
}

.MenuEntryBold {
    width: 100%;
    padding: 8px 8px 8px 25px;
    padding-bottom: 5px;
    font-weight: bold;
}

.MenuEntry {
    width: 100%;
    padding: 8px 8px 8px 45px;
    padding-bottom: 5px;
}

.MenuSlideDivider {
    width: 100%;
    height: 2px;
    background-color: grey;
}

.sidenav a {
    text-decoration: none;
    color: black;
    display: block;
    transition: 0.3s;
}

.sidenav a:hover {
    color: #818181;
}

.sidenav .closebtn {
    position: absolute;
    top: 5px;
    right: 10px;
    font-size: 1em;
    color: #ffffff;
}

.Hamburger {
    padding-left: 20px;
    padding-bottom: 10px;
    font-size: 1.2em;
    cursor: pointer;
    color: #ffffff;
    background-color: #003b25;
    width: 100%;
}

#overlay {
    display: none;
    Position: fixed; /*Fixes overlay into position*/
    float: left;
    top: 0px;
    left: 0px;
    right: auto;
    bottom: auto;
    width: 100%;
    height: 100%;
    background-image: url('/images/Standard/cover.png'); /*Overlay image*/
    color: white;
}
/*#endregion Start Menu*/

/*#region Bread Crumb*/

.Bread {
    background-color: #003b25;
    padding-top: 5px;
    padding-left: 20px;
    font-size: 1em;
    cursor: pointer;
    color: #ffffff;
}
.Bread a:link {
    text-decoration: none;
    color: #ffffff;
    text-decoration: none;
}
.Bread a:visited {
    color: #ffffff;
    text-decoration: none;
}
.Bread a:hover {
    color: silver;
}


/*#endregion Bread Crumb*/
/*#region Footer*/
.FooterWrapper {
    float: left;
    width: 100%;
    font-size: 1em;
    background: #003b25;
    color: #ffffff;
    padding: 20px;
}
.FooterMenuWrapper {
    margin-top: 80px;
    margin-top: 3em;
    text-align: center;
    line-height: 2em;
}

.FooterTransistionBar {
    float: left;
    width: 100%;
    height: 8px;
    margin-top: 10px;
    background-color: #BECDC7;
}

.FooterBackToTop {
    float: left;
    width: 100%;
    color: white;
    text-align: center;
    background-color: #3C6958;
    padding: 7px 0px 7px 0px;
    cursor: pointer;
    transition: 0.3s;
}

.FooterBackToTop:hover {
        color: #818181;
}

.FooterMenuWrapper a {
    text-decoration: none;
    color: #ffffff;
    transition: 0.3s;
}

.FooterMenuWrapper a:hover {
    color: #818181;
}

/*#region Social Media */
.lowermenusocialmedia {
    padding-top: 1em;
    text-align: center;
}

.lowermenusocialmedia a {
        text-decoration: none;
}

/*Common images*/
.youTubeImage, .tweetImage, .emailImage, .ebayImage, .pintImage {
    background-image: url('/Images/Standard/socialmediasprite.png');
    background-repeat: no-repeat;
    width: 32px;
    height: 32px;
    /*border: 0px;*/
}

.youTubeImage {
    background-position: -32px -32px;
    /*margin-left: -2px;*/
}

.tweetImage {
    background-position: -0px -32px;
    /*margin-left: -2px;*/
}

.emailImage {
    background-position: -64px -32px;
    /*margin-left: -2px;*/
}

.ebayImage {
    background-position: -128px -32px;
}

.pintImage {
    background-position: -160px -32px;
    /*margin-left: -2px;*/
}

.youTubeImage:hover {
    background-position: -32px 0px;
}

.tweetImage:hover {
    background-position: -0px 0px;
}

.emailImage:hover {
    background-position: -64px 0px;
}

.ebayImage:hover {
    background-position: -128px 0px;
}

.pintImage:hover {
    background-position: -160px 0px;
}

/*#endregion Social Media*/

.masterFooterCopy {
    margin-top: 2em;
    margin-bottom: 1em;
    text-align: center;
    font-size: 0.7em;
}

/*#endregion Footer*/

/*#endregion Master Page*/

/*#region Spacers*/
.Spacer50H {
    float: left;
    width: 100%;
    height: 50px;
    background-color: lightpink;
}

.Spacer15H {
    width: 100%;
    height: 15px;
    /*background-color: lightpink;*/
}
.Spacer15HF {
    float: left;
    width: 100%;
    height: 15px;
    /*background-color: lightpink;*/
}
.Spacer10H {
    width: 100%;
    height: 10px;
    /*background-color: lightpink;*/
}
.Spacer5H {
    width: 100%;
    height: 5px;
    /*background-color: lightpink;*/
}

.Spacer4H {
    float: left;
    width: 100%;
    height: 4px;
    /*background-color: lightpink;*/
}

/*#endregion Spacers*/

/*#region General Content*/

/*Image background for page*/
.RearImage {
    float: left;
    width: 100%;
    background-image: linear-gradient(#003b25, #EAEDED);
    background-blend-mode: lighten;
    height: 30vh; /*20% of the visible screen*/
}

/* Main page Container*/
.Frameouter {
    float: left;
    width: 100%;
    padding: 15px;
    padding-top: 20px;
    margin-top: -30vh;
}

.GeneralPageWrapper {
    max-width: 1500px;
    height: 100%;
    margin: 0 auto;
}

li {
    margin-bottom: 3px;
}

.sitemap {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
}
.site node:hover {
    color: #000000;
}
/*Cookie bar*/
.CookieContainer {
    position: fixed;
  /*  margin-top: 10px; */
    padding: 10px;
    width: 30%;
    margin-left: 70%;
    text-align: center;
    font-size: 0.85em;
    background-color: ghostwhite;
    opacity: 90%;
    z-index: 200;
}

/*#endregion General Content*/

/*#region About Us*/
/*About Page*/
.AboutGrid {
    max-width: 800px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr));
    align-items: center;
    gap: 15px;
    padding: 20px;
    /*background-color: red;*/
}
.AboutGridTopPar {
    margin-top: 0.1em;
    font-size: 1.5em;
}
.AboutImages {
    width: 100%;
}

/*#endregion About Us*/

/*#region Contact Us*/

.ContactUsMainTitle {
    padding: 0.0em 0em 0em 0em;
    font-weight: bold;
    font-size: 2em;
    color: #ffffff;
}
.ContactUsMainTagLine {
    color: #ffffff;
}
.ContactUsGrid {
    max-width: 850px;
    margin: 0 auto;
    margin-top: 2.5em;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr));
    gap: 15px;
}
.ContactUsContentLeftInner {
    float: left;
}
.ContactUsContentRightInner {
    float: left;
    min-width: 100%;
}
.contactUsTextBox{
    width: 100%;
}
.ContactUsCaptcha{
    width: 100%;
}
.ContactUsButtonBar{
    float: left;
    width: 100%;
    padding-top: 1em;
}
.ContactUsCaptcha{

    

}
.katImage{
    float: left;
}
.KatTextBox {
    float: left;
    padding-top: 10px;
    margin-left: 5px;
}
/*#endregion Contact Us*/
/*#region Legal*/
.LegalMainTitle {
    padding: 0.0em 0em 0em 0em;
    font-weight: bold;
    font-size: 2em;
    color: #ffffff;
}
.LegalChoice {
    float: left;
    line-height: 1.8em;
    color: #ffffff;
}
.legalFormLine
{
    float: left;
    width: 100%;
}
.legaltextpane
{
    float: left;
}
/*#endregion Legal*/

/*#region Category Page*/
.CatMainTitle {
    padding: 0.0em 0em 0em 0em;
    font-size: 2em;
    color: #000000;
    color: #ffffff;
}

/*#endregion Category Page*/

/*#region Product*/

.ProductMainTitle {
    padding: 0.0em 0em 0em 0em;
    font-weight: bold;
    font-size: 1.5em;
    color: #000000;
    color: #ffffff;
}
.ProductMainTag{
    color: #ffffff;
    margin-bottom: 1em;
}

.ProductGrid {
    max-width: 1150px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr));
    gap: 15px;
    /*background-color: yellow;*/
}
.ProductMainImage{
    width: 100%;
}
.ProductGalleryImages{
    width: calc(25% - 4px);
    margin-right: 4px;
}
.ProductPriceHalfL {
    float: left;
    width: 50%;
    padding: 1em 1em 1.5em 1em;
    font-size: 1em;
    text-align: right;
    font-weight: bold;
    line-height: 1.5;
}
.ProductPriceHalfR {
    float: left;
    width: 50%;
    padding: 1em 25% 1.5em 1em;
    font-size: 1em;
    text-align: right;
    font-weight: bold;
    line-height: 1.5;
}

.ProductDescription{
    padding: 0em;
}

.ProductPaymentSection{
  padding-top: 0.5em;
}
.ProductPaymentSectionStock {
    text-align: center;
    font-size: 1.2em;
    font-weight: bold;
    padding: 1em;
    color: #3C6958;
}
.ProductPaymentSectionButton {
    text-align: center;
    padding: 1em;
}
.ProductVideo {
    padding-top: 2em;
}
/*#endregion Product*/

/*#region Shopping Basket*/
.BasketGrid {
    max-width: 850px;
    margin: 0 auto;
    margin-top: 2.5em;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr));
    gap: 15px;
}
.BasketImage{
    width: 100%;
}
.BasketImageInner{
    float: left;
    width: 30%;
}
.BasketProductTitle {
    float: left;
    width: 65%;
    padding: 5px;
    font-weight: bold;
}

.BasketProductTag {
    float: left;
    width: 65%;
    padding: 5px;
}

.BasketInnerL {
    float: left;
    width: 35%;
    line-height: 1.5em;
    text-align: right;
    padding: 0 0 0 0;
}
.BasketInnerR {
    float: left;
    width: 35%;
    line-height: 1.5em;
    padding: 0 20px 0 0;
    text-align: right;
}
.BasketLine{
    float: left;
    width: 100%;
    padding-top: 10px;
    text-align: center;
}
.BasketPayPal {
    float: left;
    width: 100%;
    text-align: center;
}
.BasketPayPalImage{
    width: 90%;
    border:0;
}
.BasketBold{
    font-weight:bold;
}
    /*#endregion Shopping Basket*/

/*#region UserControlSinglePanel and QuadPanel*/
/*Single Box*/
.SingleBox {
    max-width: 1500px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr));
    gap: 25px;
}


.SingleBox > * {
    background-color: white;
    padding: 20px;
    padding-top: 10px;

}
.SingleBox a {
    color: #000000;
}

.SingleBox a:hover {
    color: #818181;
}

.SingleBoxTitle {
    float: left;
    width: 100%;
    font-size: 1.2em;
    padding-bottom: 10px;
}

.SingleBoximgage {
    width: 100%;
}

.SingleBoxFooter {
    float: left;
    width: 100%;
    font-size: 1em;
    padding-top: 10px;
}

.SingleBoxFooterPrice{
    float: right;
}

.SingleBoxBuyWrapper {
    float: right;
    padding-top: 1em;
}
.SingleBoxBuyCount{
    width: 3em;
    height: 2em;
}
    /*Quad*/
    .QuadFrame {
        float: left;
        width: 50%;
    }

.QuadBoxTitle {
    float: left;
    width: 100%;
    font-size: 1.2em;
    padding-bottom: 10px;
}

.QuadBoximgage {
    width: 95%;
    padding-left: 5%;
}

.QuadBoxFooter {
    float: left;
    width: 100%;
    font-size: 1em;
    padding-top: 1px;
    padding-left: 5%;
}

.LabelBold{
    font-weight: bold;
}

/*#endregion*/



/*#region Mobile adjustments*/
@media screen and (max-device-width: 926px) {

    body {
    }

    /*Hide Grid when product page swaps stop 2 wide*/
    .FormatLeft {
        display: none;
    }
    /*Hide bread crumb lfor mobile*/
    .Bread {
        display: none;
    }
}